com.brightcove.player.util

## Class ErrorUtil

- java.lang.Object
- - com.brightcove.player.util.ErrorUtil

-     public class ErrorUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANNOTATION_REQUIRED`
    `static java.lang.String` | `BASE_URL_REQUIRED`
    `static java.lang.String` | `COULD_NOT_FIND_PROPERTY`
    `static java.lang.String` | `CUE_POINTS_REQUIRED`
    `static java.lang.String` | `DELIVERY_TYPE_REQUIRED`
    `static java.lang.String` | `DUPLICATE_DELIVERY_TYPES`
    `static java.lang.String` | `ERROR`
    `static java.lang.String` | `ERROR_CONVERTING`
    `static java.lang.String` | `EVENT_EMITTER_AND_COMPONENT_REQUIRED`
    `static java.lang.String` | `EVENT_EMITTER_AND_MEDIA_PLAYER_REQUIRED`
    `static java.lang.String` | `EVENT_EMITTER_REQUIRED`
    `static java.lang.String` | `EVENT_REQUIRED`
    `static java.lang.String` | `EVENT_TYPE_AND_LISTENER_REQUIRED`
    `static java.lang.String` | `HEADERS_REQUIRED`
    `static java.lang.String` | `ID_FIELD_REQUIRED`
    `static java.lang.String` | `ID_REQUIRED`
    `static java.lang.String` | `IMAGE_VIEW_AND_EVENT_EMITTER_REQUIRED`
    `static java.lang.String` | `IMAGE_VIEW_REQUIRED`
    `static java.lang.String` | `INVALID_EMIT`
    `static java.lang.String` | `INVALID_POINT_IN_TIME`
    `static java.lang.String` | `INVALID_SURFACE`
    `static java.lang.String` | `INVALID_URI`
    `static java.lang.String` | `INVALID_URL`
    `static java.lang.String` | `JSON_AND_PROPERTIES_REQUIRED`
    `static java.lang.String` | `JSON_ARRAY`
    `static java.lang.String` | `JSON_REQUIRED`
    `static java.lang.String` | `KEY_NOT_FOUND`
    `static java.lang.String` | `LISTENER_REQUIRED`
    `static java.lang.String` | `MEDIA_API_COMMAND_REQUIRED`
    `static java.lang.String` | `MEDIA_DELIVERY_REQUIRED`
    `static java.lang.String` | `MEDIA_REQUEST_ERROR`
    `static java.lang.String` | `MEDIA_REQUEST_INVALID_JSON`
    `static java.lang.String` | `MEDIA_REQUEST_NO_JSON`
    `static java.lang.String` | `MEDIA_REQUEST_NO_RESULTS`
    `static java.lang.String` | `MISSING_CUE_POINT_PROPERTY`
    `static java.lang.String` | `NEED_VALID_NON_NULL_INITIALIZER`
    `static java.lang.String` | `NO_USABLE_SOURCE`
    `static java.lang.String` | `NOT_PERMITTED_TO_EMIT`
    `static java.lang.String` | `NOT_PERMITTED_TO_LISTEN`
    `static java.lang.String` | `OTHER_CONSTRUCTOR`
    `static java.lang.String` | `OUT_OF_FLOW`
    `static java.lang.String` | `PROJECTION_FORMAT_NOT_SUPPORTED`
    `static java.lang.String` | `PROPERTIES_REQUIRED`
    `static java.lang.String` | `QUERY_BASE_URL_REQUIRED`
    `static java.lang.String` | `READ_TOKEN_REQUIRED`
    `static java.lang.String` | `RENDER_VIEW_AND_EVENT_EMITTER_REQUIRED`
    `static java.lang.String` | `SOURCE_COLLECTION_REQUIRED`
    `static java.lang.String` | `SOURCE_COLLECTIONS_REQUIRED`
    `static java.lang.String` | `SOURCE_REQUIRED`
    `static java.lang.String` | `SOURCES_REQUIRED`
    `static java.lang.String` | `TOKEN_REQUIRED`
    `static java.lang.String` | `UNEXPECTED_TYPE`
    `static java.lang.String` | `URI_ERROR`
    `static java.lang.String` | `URI_REQUIRED`
    `static java.lang.String` | `URL_REQUIRED`
    `static java.lang.String` | `VIDEO_PARSE_EXCEPTION`
    `static java.lang.String` | `VIDEO_PLAY_IOEXCEPTION`
    `static java.lang.String` | `VIDEO_REQUIRED`
    `static java.lang.String` | `VIDEOS_REQUIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getMessage(java.lang.String message)`
    `static java.lang.String` | `getMessage(java.lang.String key, java.lang.Object... params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_REQUIRED

          public static final java.lang.String ANNOTATION_REQUIRED

      See Also:
        Constant Field Values

    - #### BASE_URL_REQUIRED

          public static final java.lang.String BASE_URL_REQUIRED

      See Also:
        Constant Field Values

    - #### COULD_NOT_FIND_PROPERTY

          public static final java.lang.String COULD_NOT_FIND_PROPERTY

      See Also:
        Constant Field Values

    - #### CUE_POINTS_REQUIRED

          public static final java.lang.String CUE_POINTS_REQUIRED

      See Also:
        Constant Field Values

    - #### DELIVERY_TYPE_REQUIRED

          public static final java.lang.String DELIVERY_TYPE_REQUIRED

      See Also:
        Constant Field Values

    - #### DUPLICATE_DELIVERY_TYPES

          public static final java.lang.String DUPLICATE_DELIVERY_TYPES

      See Also:
        Constant Field Values

    - #### ERROR

          public static final java.lang.String ERROR

      See Also:
        Constant Field Values

    - #### ERROR_CONVERTING

          public static final java.lang.String ERROR_CONVERTING

      See Also:
        Constant Field Values

    - #### EVENT_EMITTER_AND_COMPONENT_REQUIRED

          public static final java.lang.String EVENT_EMITTER_AND_COMPONENT_REQUIRED

      See Also:
        Constant Field Values

    - #### EVENT_EMITTER_AND_MEDIA_PLAYER_REQUIRED

          public static final java.lang.String EVENT_EMITTER_AND_MEDIA_PLAYER_REQUIRED

      See Also:
        Constant Field Values

    - #### EVENT_EMITTER_REQUIRED

          public static final java.lang.String EVENT_EMITTER_REQUIRED

      See Also:
        Constant Field Values

    - #### EVENT_REQUIRED

          public static final java.lang.String EVENT_REQUIRED

      See Also:
        Constant Field Values

    - #### EVENT_TYPE_AND_LISTENER_REQUIRED

          public static final java.lang.String EVENT_TYPE_AND_LISTENER_REQUIRED

      See Also:
        Constant Field Values

    - #### HEADERS_REQUIRED

          public static final java.lang.String HEADERS_REQUIRED

      See Also:
        Constant Field Values

    - #### ID_FIELD_REQUIRED

          public static final java.lang.String ID_FIELD_REQUIRED

      See Also:
        Constant Field Values

    - #### ID_REQUIRED

          public static final java.lang.String ID_REQUIRED

      See Also:
        Constant Field Values

    - #### IMAGE_VIEW_AND_EVENT_EMITTER_REQUIRED

          public static final java.lang.String IMAGE_VIEW_AND_EVENT_EMITTER_REQUIRED

      See Also:
        Constant Field Values

    - #### IMAGE_VIEW_REQUIRED

          public static final java.lang.String IMAGE_VIEW_REQUIRED

      See Also:
        Constant Field Values

    - #### INVALID_EMIT

          public static final java.lang.String INVALID_EMIT

      See Also:
        Constant Field Values

    - #### INVALID_POINT_IN_TIME

          public static final java.lang.String INVALID_POINT_IN_TIME

      See Also:
        Constant Field Values

    - #### INVALID_SURFACE

          public static final java.lang.String INVALID_SURFACE

      See Also:
        Constant Field Values

    - #### INVALID_URI

          public static final java.lang.String INVALID_URI

      See Also:
        Constant Field Values

    - #### INVALID_URL

          public static final java.lang.String INVALID_URL

      See Also:
        Constant Field Values

    - #### JSON_AND_PROPERTIES_REQUIRED

          public static final java.lang.String JSON_AND_PROPERTIES_REQUIRED

      See Also:
        Constant Field Values

    - #### JSON_ARRAY

          public static final java.lang.String JSON_ARRAY

      See Also:
        Constant Field Values

    - #### JSON_REQUIRED

          public static final java.lang.String JSON_REQUIRED

      See Also:
        Constant Field Values

    - #### KEY_NOT_FOUND

          public static final java.lang.String KEY_NOT_FOUND

      See Also:
        Constant Field Values

    - #### LISTENER_REQUIRED

          public static final java.lang.String LISTENER_REQUIRED

      See Also:
        Constant Field Values

    - #### MEDIA_API_COMMAND_REQUIRED

          public static final java.lang.String MEDIA_API_COMMAND_REQUIRED

      See Also:
        Constant Field Values

    - #### MEDIA_DELIVERY_REQUIRED

          public static final java.lang.String MEDIA_DELIVERY_REQUIRED

      See Also:
        Constant Field Values

    - #### MEDIA_REQUEST_ERROR

          public static final java.lang.String MEDIA_REQUEST_ERROR

      See Also:
        Constant Field Values

    - #### MEDIA_REQUEST_INVALID_JSON

          public static final java.lang.String MEDIA_REQUEST_INVALID_JSON

      See Also:
        Constant Field Values

    - #### VIDEO_PARSE_EXCEPTION

          public static final java.lang.String VIDEO_PARSE_EXCEPTION

      See Also:
        Constant Field Values

    - #### MEDIA_REQUEST_NO_JSON

          public static final java.lang.String MEDIA_REQUEST_NO_JSON

      See Also:
        Constant Field Values

    - #### MEDIA_REQUEST_NO_RESULTS

          public static final java.lang.String MEDIA_REQUEST_NO_RESULTS

      See Also:
        Constant Field Values

    - #### MISSING_CUE_POINT_PROPERTY

          public static final java.lang.String MISSING_CUE_POINT_PROPERTY

      See Also:
        Constant Field Values

    - #### NEED_VALID_NON_NULL_INITIALIZER

          public static final java.lang.String NEED_VALID_NON_NULL_INITIALIZER

      See Also:
        Constant Field Values

    - #### NOT_PERMITTED_TO_EMIT

          public static final java.lang.String NOT_PERMITTED_TO_EMIT

      See Also:
        Constant Field Values

    - #### NOT_PERMITTED_TO_LISTEN

          public static final java.lang.String NOT_PERMITTED_TO_LISTEN

      See Also:
        Constant Field Values

    - #### NO_USABLE_SOURCE

          public static final java.lang.String NO_USABLE_SOURCE

      See Also:
        Constant Field Values

    - #### OTHER_CONSTRUCTOR

          public static final java.lang.String OTHER_CONSTRUCTOR

      See Also:
        Constant Field Values

    - #### OUT_OF_FLOW

          public static final java.lang.String OUT_OF_FLOW

      See Also:
        Constant Field Values

    - #### PROPERTIES_REQUIRED

          public static final java.lang.String PROPERTIES_REQUIRED

      See Also:
        Constant Field Values

    - #### QUERY_BASE_URL_REQUIRED

          public static final java.lang.String QUERY_BASE_URL_REQUIRED

      See Also:
        Constant Field Values

    - #### READ_TOKEN_REQUIRED

          public static final java.lang.String READ_TOKEN_REQUIRED

      See Also:
        Constant Field Values

    - #### SOURCE_COLLECTION_REQUIRED

          public static final java.lang.String SOURCE_COLLECTION_REQUIRED

      See Also:
        Constant Field Values

    - #### SOURCE_COLLECTIONS_REQUIRED

          public static final java.lang.String SOURCE_COLLECTIONS_REQUIRED

      See Also:
        Constant Field Values

    - #### SOURCE_REQUIRED

          public static final java.lang.String SOURCE_REQUIRED

      See Also:
        Constant Field Values

    - #### SOURCES_REQUIRED

          public static final java.lang.String SOURCES_REQUIRED

      See Also:
        Constant Field Values

    - #### RENDER_VIEW_AND_EVENT_EMITTER_REQUIRED

          public static final java.lang.String RENDER_VIEW_AND_EVENT_EMITTER_REQUIRED

      See Also:
        Constant Field Values

    - #### TOKEN_REQUIRED

          public static final java.lang.String TOKEN_REQUIRED

      See Also:
        Constant Field Values

    - #### UNEXPECTED_TYPE

          public static final java.lang.String UNEXPECTED_TYPE

      See Also:
        Constant Field Values

    - #### URI_ERROR

          public static final java.lang.String URI_ERROR

      See Also:
        Constant Field Values

    - #### URI_REQUIRED

          public static final java.lang.String URI_REQUIRED

      See Also:
        Constant Field Values

    - #### URL_REQUIRED

          public static final java.lang.String URL_REQUIRED

      See Also:
        Constant Field Values

    - #### VIDEO_PLAY_IOEXCEPTION

          public static final java.lang.String VIDEO_PLAY_IOEXCEPTION

      See Also:
        Constant Field Values

    - #### VIDEO_REQUIRED

          public static final java.lang.String VIDEO_REQUIRED

      See Also:
        Constant Field Values

    - #### VIDEOS_REQUIRED

          public static final java.lang.String VIDEOS_REQUIRED

      See Also:
        Constant Field Values

    - #### PROJECTION_FORMAT_NOT_SUPPORTED

          public static final java.lang.String PROJECTION_FORMAT_NOT_SUPPORTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorUtil

          public ErrorUtil()

  - ### Method Detail

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String message)

    - #### getMessage

          public static java.lang.String getMessage(java.lang.String key,
                                                    java.lang.Object... params)